> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a goal

> This endpoint updates a specific goal. This endpoint accepts the optional `MX-Skip-Webhook` header and `skip_webhook parameter`.

## Path Parameters

<ParamField path="user_guid" type="string" required>
  The unique identifier for the user. Defined by MX.
</ParamField>

<ParamField path="goal_guid" type="string" required>
  The unique identifier for the goal. Defined by MX.
</ParamField>

## Request Body

<ParamField body="goal" type="object">
  <Expandable title="goal">
    <ParamField body="account_guid" type="string">
      Unique identifier of the account for the goal.
    </ParamField>

    <ParamField body="amount" type="number">
      Amount of the goal.
    </ParamField>

    <ParamField body="goal_type_name" type="string">
      The goal type. Can be `SAVE_AMOUNT` or `PAYOFF`.
    </ParamField>

    <ParamField body="meta_type_name" type="string">
      The category of the goal (e.g. `VACATION`, `COLLEGE`, `HOUSE`).
    </ParamField>

    <ParamField body="name" type="string">
      The name of the goal visible to the user.
    </ParamField>

    <ParamField body="completed_at" type="string">
      Date and time the goal was completed in ISO 8601 format.
    </ParamField>

    <ParamField body="has_been_spent" type="boolean">
      Determines if the goal has been spent.
    </ParamField>

    <ParamField body="is_complete" type="boolean">
      If the goal is complete, this field will be `true`.
    </ParamField>
  </Expandable>
</ParamField>
